import type { _NSData } from "../Foundation/NSData.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
export declare class _MEEncodedOutgoingMessage extends _NSObject {
    static alloc(): _MEEncodedOutgoingMessage;
    static new(): _MEEncodedOutgoingMessage;
    init(): _MEEncodedOutgoingMessage;
    initWithRawData$isSigned$isEncrypted$(rawData: _NSData, isSigned: boolean, isEncrypted: boolean): _MEEncodedOutgoingMessage;
    /** The full encoded RFC822 message including headers and body. */
    rawData(): _NSData;
    /** Whether or not the encoded message is signed */
    isSigned(): boolean;
    /** Whether or not the encoded message is encrypted */
    isEncrypted(): boolean;
}
export interface _MEEncodedOutgoingMessage extends _NSSecureCoding {
}
